Advertising

Author Topic: $XDG_RUNTIME_DIR should be?  (Read 1426 times)

Offline crypto

  • Newbie
  • *
  • Posts: 24
$XDG_RUNTIME_DIR should be?
« on: April 22, 2015, 11:50:51 am »
So what should the

$XDG_RUNTIME_DIR be set as?   

And how do i keep the environment variables set ?   

I am using E19 ..... the environment variables in settings don't seem to be working, however it could be that there set wrong..

currently $XDG_RUNTIME_DIR   is /systemd/user   ... i did try  ./user/1000 as well    ... to my understanding it has to be a directory that is created at boot..


Maybe its           user-runtime: /run/user/1000     from the systemd-path command ...
 
If someone knows a faq that could explain how to know what to set them as (the environment variables), a link to that would be great as well..




Jesse
« Last Edit: April 22, 2015, 12:05:00 pm by crypto »

Offline dbarron

  • Newbie
  • *
  • Posts: 7
Re: $XDG_RUNTIME_DIR should be?
« Reply #1 on: June 16, 2019, 09:39:09 pm »
I'm using E22 (current), but to set an environment variable you typically do it in someplace like the system shell profile.  It depends on what needs it (and when) though.  Sorry, I don't know what variable is for, so I don't know that part for sure.

Offline paxmark1

  • Hero Member
  • *****
  • Posts: 577
Re: $XDG_RUNTIME_DIR should be?
« Reply #2 on: June 17, 2019, 08:04:27 pm »

anything in /etc/skel   ?   

Not an expert but E19 is like 2014 is I believe. 

But please, show the absolute minimum amount of info whether you are Sparky 4 or 5    Wayland or Xorg?    output of "inxi -Fxx: marked up as XML code always appreciated.

How installed?  "apt -s install enlightenment | less"    show below

Code: [Select]
eading package lists...
Building dependency tree...
Reading state information...
The following package was automatically installed and is no longer required:
  libvncclient1
Use 'apt autoremove' to remove it.
The following additional packages will be installed:
  enlightenment-data ethtool libecore-audio1 libecore-bin libecore-con1
  libecore-drm2-1 libecore-evas1 libecore-fb1 libecore-file1 libecore-imf1
  libecore-input1 libecore-ipc1 libecore-wl2-1 libecore-x1 libecore1 libector1
  libedje-bin libedje1 libeet1 libeeze1 libefreet-bin libefreet1a libeina1a
  libeio1 libelementary-data libelementary1 libelocation1 libelput1
  libembryo-bin libembryo1 libemile1 libemotion1 libethumb-client-bin
  libethumb-client1 libethumb1 libevas-loaders libevas1 libevas1-engines-drm
  libevas1-engines-fb libevas1-engines-wayland libevas1-engines-x
  libibus-1.0-5 libluajit-5.1-2 libluajit-5.1-common libpoppler-cpp0v5
  libscim8v5 libx86-1 pm-utils vbetool
Suggested packages:
  cpufrequtils wireless-tools radeontool
The following NEW packages will be installed:
  enlightenment enlightenment-data ethtool libecore-audio1 libecore-bin
  libecore-con1 libecore-drm2-1 libecore-evas1 libecore-fb1 libecore-file1
  libecore-imf1 libecore-input1 libecore-ipc1 libecore-wl2-1 libecore-x1
  libecore1 libector1 libedje-bin libedje1 libeet1 libeeze1 libefreet-bin
  libefreet1a libeina1a libeio1 libelementary-data libelementary1
  libelocation1 libelput1 libembryo-bin libembryo1 libemile1 libemotion1
  libethumb-client-bin libethumb-client1 libethumb1 libevas-loaders libevas1
  libevas1-engines-drm libevas1-engines-fb libevas1-engines-wayland
  libevas1-engines-x libibus-1.0-5 libluajit-5.1-2 libluajit-5.1-common
  libpoppler-cpp0v5 libscim8v5 libx86-1 pm-utils vbetool
in Buster/Sparky5 gets you E21  (run on Debian non-free netinstall install)  However https://packages.debian.org/buster/enlightenment   says E22.  Installing via DebianStable- Sparky4 - will be OldStable in July 2019

Or  Did you compile?  Compile without Xorg? Probably avoid Wayland if you have Nvidia closed source card. 

If you know your way around the command line install the CLI sparky5 and then follow E page for compilation.  If you do not - maybe try it out in a VirtualMachine  Sparky Wiki page in Sparky is 3 y.o. Debian wiki page does not exist to best of my knowledge. 


peace out. 
Don't make a FrankenDebian